%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	HTML_Select_Common
Summary:	%{_pearname} - small classes to handle common <select> lists
Summary(pl.UTF-8):	%{_pearname} - małe klasy do obsługi list <select>
Name:		php-pear-%{_pearname}
Version:	1.2.0
Release:	2
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	c5423721b258a4b10d2bbcd6ebde6d79
URL:		http://pear.php.net/package/HTML_Select_Common/
BuildRequires:	php-pear-PEAR >= 1:1.9.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-I18N >= 0.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides <select>lists for:
 - Country
 - UK counties
 - US States

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Dostarcza listy <select> do pytań o:
 - kraj
 - kraje UK
 - stany US

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

mv docs/%{_pearname}/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/HTML/Select
%{php_pear_dir}/HTML/Select/Common

%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Aug 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-HTML_Select_Common.git;a=log;h=master

* Sat Aug 03 2013 Jan Rękorajski <baggins@pld-linux.org> 951d9ff
- don't obsolete package with different functionality
- rel 2

* Sat Oct 09 2010 Elan Ruusamäe <glen@pld-linux.org> a67f67a
- up to 1.2.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 3a023a3
- rel 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 415dd31
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> feb5c45
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> cff60ca
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> a564f11
- BR php-pear-PEAR

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> d7e4238
- rel 4

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> d53a448
- semi automatically added deps from pear

* Thu Sep 22 2005 Elan Ruusamäe <glen@pld-linux.org> f318a38
- new pear packaging (fixed %files); rel 3

* Fri Dec 03 2004 Adam Gołębiowski <adamg@pld-linux.org> bcc0391
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 41e3bf2
- fixed english information about status of the package

* Tue Oct 07 2003 Adam Gołębiowski <adamg@pld-linux.org> 87de683
- do not use macros in URL

* Sun Aug 31 2003 Adam Gołębiowski <adamg@pld-linux.org> c6071c7
- more specific URL

* Sun Jun 22 2003 Adam Gołębiowski <adamg@pld-linux.org> 68b18ca
- fixed %%install and %%files, builds

* Wed Jun 18 2003 ankry <ankry@pld-linux.org> 91de10e
- fixed md5

* Tue Jun 03 2003 Jakub Bogusz <qboosh@pld-linux.org> 6b50fcb
- Obsoletes: php-pear-HTML_Select

* Sat May 31 2003 Adam Gołębiowski <adamg@pld-linux.org> 71a7b16
- initial import (formely php-pear-HTML_Select.spec)

